Bug 1711334 - [4.1.z] Kubernetes Pod Template is randomly removed
Summary: [4.1.z] Kubernetes Pod Template is randomly removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard: 4.1.4
Depends On: 1709626
Blocks: 1711340
TreeView+ depends on / blocked
 
Reported: 2019-05-17 14:24 UTC by Gabe Montero
Modified: 2019-07-04 09:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OpenShift Jenkins Sync plugin confused ImageStreams and ConfigMaps with the same name when processing them for Jenkins k8s plugin PodTemplates Consequence: An event for one type could delete the pod template created from another type Fix: The OpenShift Jenkins Sync plugin was modified to keep track of which api object type created the pod template of a given name. Result: Jenkins k8s plugin PodTemplates created by the OpenShift Sync Plugin's mapping from ConfigMap/ImageStreams are not inadvertently deleted when two types with the same name exist in the cluster.
Clone Of: 1709626
: 1711340 (view as bug list)
Environment:
Last Closed: 2019-07-04 09:01:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:33 UTC

Comment 1 Gabe Montero 2019-05-22 20:42:21 UTC
PR https://github.com/openshift/jenkins/pull/857 has been created for the 4.1 branch

awaiting 4.1 GA so that can open up

Comment 2 Gabe Montero 2019-06-19 17:46:16 UTC
PR merged and Opened https://jira.coreos.com/browse/ART-681 to get jenkins plugin rpm updated ... combination of 4 recent plugin updates for 4.1

Comment 5 XiuJuan Wang 2019-06-20 05:55:48 UTC
The default installed openshift-sync is still 1.0.34, wait for new nightly build comes out.
Checked the lastest nightly build 4.1.0-0.nightly-2019-06-20-015058

Comment 9 XiuJuan Wang 2019-06-26 07:27:18 UTC
The created Kubernetes Pod Template using the ConfigMap style will not removed more than a dozen hours.
jenkins quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8043331ad4bfe03e84bf0c691267fbf0331ed9eb807f2dfdbbb683a373c75114 
with openshift-sync : 1.0.38 installed

Comment 11 errata-xmlrpc 2019-07-04 09:01:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.